MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024885Open CASCADE[OCCT] OCCT:Codingpublic2014-04-30 13:232014-11-11 12:52
Reporterdln 
Assigned Tokgv 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024885: Getting rid of "TKAdvTools" toolkit
Description"TKAdvTools" toolkit was deleted.

And packages from this toolkit were:

- GraphDS -> deleted
- GraphTools -> moved to WOK
- Dynamic -> deleted
- Materials -> deleted
- Expr -> moved to TKMath
- ExprIntrp -> moved to TKMath
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0024661closedabv Removing unused "generic" classes. Part 2 

-  Notes
(0029164)
dln (developer)
2014-04-30 13:56

2 branches CR24885(OCCT and WOK repositories) are ready for reviewing.
(0029165)
kgv (developer)
2014-04-30 14:19

Dear dln,

the patch is incomplete - please grep TKAdvTools over all repositories:
- OS/FoundationClasses.tcl
- TKQADraw/EXTERNLIB
- samples in products
(0029205)
dln (developer)
2014-05-06 08:57

Done.
I found an other references of the "TKAdvTools" toolkit in occt, wok and products repositories. And I cleaned them.

Total: 3 branches CR24885(OCCT, WOK and Products repositories).
(0029206)
kgv (developer)
2014-05-06 09:18

Please test the patch.
(0029284)
bugmaster (administrator)
2014-05-12 17:02

Fix has been integrated into master of occt-products repository
(0029430)
abv (manager)
2014-05-21 12:23

The fix has not been integrated to OCCT, though the branch was deleted. I have restored it now, please integrate and check for other possible similar cases.
(0029541)
kgv (developer)
2014-05-27 13:10

Dear bugmaster,

the fix in branch CR24885 of WOK repository is still not in master.

- Related Changesets
occt: master 6268cc68
Timestamp: 2014-05-22 13:20:38
Author: dln
Committer: apn
Details ] Diff ]
0024885: Getting rid of "TKAdvTools" toolkit

"TKAdvTools" toolkit was deleted.
And packages from this toolkit were:
- GraphDS -> deleted
- GraphTools -> moved to WOK
- Dynamic -> deleted
- Materials -> deleted
- Expr -> moved to TKMath
- ExprIntrp -> moved to TKMath
- TKAdvTools -> deleted
All references of the "TKAdvTools" toolkit were removed
mod - adm/UDLIST Diff ] File ]
mod - dox/dev_guides/tests/tests.md Diff ] File ]
rm - src/Dynamic/Dynamic.cdl Diff ] File ]
rm - src/Dynamic/Dynamic.cxx Diff ] File ]
rm - src/Dynamic/Dynamic_AbstractVariableInstance.cdl Diff ] File ]
rm - src/Dynamic/Dynamic_AbstractVariableInstance.cxx Diff ] File ]
rm - src/Dynamic/Dynamic_BooleanParameter.cdl Diff ] File ]
rm - src/Dynamic/Dynamic_BooleanParameter.cxx Diff ] File ]
rm - src/Dynamic/Dynamic_CompiledMethod.cdl Diff ] File ]
rm - src/Dynamic/Dynamic_CompiledMethod.cxx Diff ] File ]
rm - src/Dynamic/Dynamic_CompositMethod.cdl Diff ] File ]
rm - src/Dynamic/Dynamic_CompositMethod.cxx Diff ] File ]
rm - src/Dynamic/Dynamic_CompositVariableInstance.cdl Diff ] File ]
rm - src/Dynamic/Dynamic_CompositVariableInstance.cxx Diff ] File ]
rm - src/Dynamic/Dynamic_DynamicClass.cdl Diff ] File ]
rm - src/Dynamic/Dynamic_DynamicClass.cxx Diff ] File ]
rm - src/Dynamic/Dynamic_DynamicDerivedClass.cdl Diff ] File ]
rm - src/Dynamic/Dynamic_DynamicDerivedClass.cxx Diff ] File ]
rm - src/Dynamic/Dynamic_DynamicInstance.cdl Diff ] File ]
rm - src/Dynamic/Dynamic_DynamicInstance.cxx Diff ] File ]
rm - src/Dynamic/Dynamic_FuzzyClass.cdl Diff ] File ]
rm - src/Dynamic/Dynamic_FuzzyClass.cxx Diff ] File ]
rm - src/Dynamic/Dynamic_FuzzyDefinition.cdl Diff ] File ]
rm - src/Dynamic/Dynamic_FuzzyDefinition.cxx Diff ] File ]
rm - src/Dynamic/Dynamic_FuzzyDefinitionsDictionary.cdl Diff ] File ]
rm - src/Dynamic/Dynamic_FuzzyDefinitionsDictionary.cxx Diff ] File ]
rm - src/Dynamic/Dynamic_FuzzyInstance.cdl Diff ] File ]
rm - src/Dynamic/Dynamic_FuzzyInstance.gxx Diff ] File ]
rm - src/Dynamic/Dynamic_InstanceParameter.cdl Diff ] File ]
rm - src/Dynamic/Dynamic_InstanceParameter.cxx Diff ] File ]
rm - src/Dynamic/Dynamic_IntegerParameter.cdl Diff ] File ]
rm - src/Dynamic/Dynamic_IntegerParameter.cxx Diff ] File ]
rm - src/Dynamic/Dynamic_InterpretedMethod.cdl Diff ] File ]
rm - src/Dynamic/Dynamic_InterpretedMethod.cxx Diff ] File ]
rm - src/Dynamic/Dynamic_Method.cdl Diff ] File ]
rm - src/Dynamic/Dynamic_Method.cxx Diff ] File ]
rm - src/Dynamic/Dynamic_MethodDefinition.cdl Diff ] File ]
rm - src/Dynamic/Dynamic_MethodDefinition.cxx Diff ] File ]
rm - src/Dynamic/Dynamic_MethodDefinitionsDictionary.cdl Diff ] File ]
rm - src/Dynamic/Dynamic_MethodDefinitionsDictionary.cxx Diff ] File ]
rm - src/Dynamic/Dynamic_Node.cdl Diff ] File ]
rm - src/Dynamic/Dynamic_Node.gxx Diff ] File ]
rm - src/Dynamic/Dynamic_ObjectParameter.cdl Diff ] File ]
rm - src/Dynamic/Dynamic_ObjectParameter.cxx Diff ] File ]
rm - src/Dynamic/Dynamic_Parameter.cdl Diff ] File ]
rm - src/Dynamic/Dynamic_Parameter.cxx Diff ] File ]
rm - src/Dynamic/Dynamic_RealParameter.cdl Diff ] File ]
rm - src/Dynamic/Dynamic_RealParameter.cxx Diff ] File ]
rm - src/Dynamic/Dynamic_StringParameter.cdl Diff ] File ]
rm - src/Dynamic/Dynamic_StringParameter.cxx Diff ] File ]
rm - src/Dynamic/Dynamic_Variable.cdl Diff ] File ]
rm - src/Dynamic/Dynamic_Variable.cxx Diff ] File ]
rm - src/Dynamic/Dynamic_VariableGroup.cdl Diff ] File ]
rm - src/Dynamic/Dynamic_VariableGroup.cxx Diff ] File ]
rm - src/Dynamic/Dynamic_VariableInstance.cdl Diff ] File ]
rm - src/Dynamic/Dynamic_VariableInstance.cxx Diff ] File ]
rm - src/GraphDS/GraphDS.cdl Diff ] File ]
rm - src/GraphDS/GraphDS_DirectedGraph.cdl Diff ] File ]
rm - src/GraphDS/GraphDS_DirectedGraph.gxx Diff ] File ]
rm - src/GraphDS/GraphDS_Edge.gxx Diff ] File ]
rm - src/GraphDS/GraphDS_EdgesIterator.gxx Diff ] File ]
rm - src/GraphDS/GraphDS_EntitiesIterator.gxx Diff ] File ]
rm - src/GraphDS/GraphDS_Entity.gxx Diff ] File ]
rm - src/GraphDS/GraphDS_IncidentEntitiesIterator.gxx Diff ] File ]
rm - src/GraphDS/GraphDS_IncidentRelationsIterator.gxx Diff ] File ]
rm - src/GraphDS/GraphDS_Relation.gxx Diff ] File ]
rm - src/GraphDS/GraphDS_RelationGraph.cdl Diff ] File ]
rm - src/GraphDS/GraphDS_RelationGraph.gxx Diff ] File ]
rm - src/GraphDS/GraphDS_RelationsIterator.gxx Diff ] File ]
rm - src/GraphDS/GraphDS_Vertex.gxx Diff ] File ]
rm - src/GraphDS/GraphDS_VerticesIterator.gxx Diff ] File ]
rm - src/GraphTools/GraphTools.cdl Diff ] File ]
rm - src/GraphTools/GraphTools_AdjSCIterator.gxx Diff ] File ]
rm - src/GraphTools/GraphTools_BFSIterator.cdl Diff ] File ]
rm - src/GraphTools/GraphTools_BFSIterator.gxx Diff ] File ]
rm - src/GraphTools/GraphTools_ConnectedVerticesFromIterator.cdl Diff ] File ]
rm - src/GraphTools/GraphTools_ConnectedVerticesFromIterator.gxx Diff ] File ]
rm - src/GraphTools/GraphTools_ConnectedVerticesIterator.cdl Diff ] File ]
rm - src/GraphTools/GraphTools_ConnectedVerticesIterator.gxx Diff ] File ]
rm - src/GraphTools/GraphTools_DFSIterator.cdl Diff ] File ]
rm - src/GraphTools/GraphTools_DFSIterator.gxx Diff ] File ]
rm - src/GraphTools/GraphTools_GraphIterator.cdl Diff ] File ]
rm - src/GraphTools/GraphTools_GraphIterator.gxx Diff ] File ]
rm - src/GraphTools/GraphTools_ReducedGraph.cdl Diff ] File ]
rm - src/GraphTools/GraphTools_ReducedGraph.gxx Diff ] File ]
rm - src/GraphTools/GraphTools_RGNode.cdl Diff ] File ]
rm - src/GraphTools/GraphTools_RGNode.cxx Diff ] File ]
rm - src/GraphTools/GraphTools_SC.cdl Diff ] File ]
rm - src/GraphTools/GraphTools_SC.cxx Diff ] File ]
rm - src/GraphTools/GraphTools_SortedSCIterator.gxx Diff ] File ]
rm - src/GraphTools/GraphTools_SortedStrgCmptsFromIterator.cdl Diff ] File ]
rm - src/GraphTools/GraphTools_SortedStrgCmptsFromIterator.gxx Diff ] File ]
rm - src/GraphTools/GraphTools_SortedStrgCmptsIterator.cdl Diff ] File ]
rm - src/GraphTools/GraphTools_SortedStrgCmptsIterator.gxx Diff ] File ]
rm - src/GraphTools/GraphTools_TopologicalSortFromIterator.cdl Diff ] File ]
rm - src/GraphTools/GraphTools_TopologicalSortFromIterator.gxx Diff ] File ]
rm - src/GraphTools/GraphTools_TopologicalSortIterator.cdl Diff ] File ]
rm - src/GraphTools/GraphTools_TopologicalSortIterator.gxx Diff ] File ]
rm - src/GraphTools/GraphTools_TSNode.cdl Diff ] File ]
rm - src/GraphTools/GraphTools_TSNode.cxx Diff ] File ]
rm - src/GraphTools/GraphTools_VertexIterator.cdl Diff ] File ]
rm - src/GraphTools/GraphTools_VertexIterator.gxx Diff ] File ]
mod - src/IFGraph/IFGraph.cdl Diff ] File ]
mod - src/Interface/Interface_EntityIterator.cdl Diff ] File ]
rm - src/Materials/Materials.cdl Diff ] File ]
rm - src/Materials/Materials.cxx Diff ] File ]
rm - src/Materials/Materials_Color.cdl Diff ] File ]
rm - src/Materials/Materials_Color.cxx Diff ] File ]
rm - src/Materials/Materials_Material.cdl Diff ] File ]
rm - src/Materials/Materials_Material.cxx Diff ] File ]
rm - src/Materials/Materials_MaterialDefinition.cdl Diff ] File ]
rm - src/Materials/Materials_MaterialDefinition.cxx Diff ] File ]
rm - src/Materials/Materials_MaterialsDictionary.cdl Diff ] File ]
rm - src/Materials/Materials_MaterialsDictionary.cxx Diff ] File ]
mod - src/OS/FoundationClasses.tcl Diff ] File ]
rm - src/TKAdvTools/EXTERNLIB Diff ] File ]
rm - src/TKAdvTools/FILES Diff ] File ]
rm - src/TKAdvTools/PACKAGES Diff ] File ]
mod - src/TKMath/PACKAGES Diff ] File ]
mod - src/TKQADraw/EXTERNLIB Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-04-30 13:23 dln New Issue
2014-04-30 13:23 dln Assigned To => abv
2014-04-30 13:56 dln Note Added: 0029164
2014-04-30 13:57 dln Status new => resolved
2014-04-30 14:19 kgv Note Added: 0029165
2014-04-30 14:19 kgv Assigned To abv => dln
2014-04-30 14:19 kgv Status resolved => assigned
2014-05-06 08:11 dln Description Updated View Revisions
2014-05-06 08:57 dln Note Added: 0029205
2014-05-06 08:57 dln Assigned To dln => kgv
2014-05-06 08:57 dln Status assigned => resolved
2014-05-06 09:18 kgv Note Added: 0029206
2014-05-06 09:18 kgv Assigned To kgv => bugmaster
2014-05-06 09:18 kgv Severity minor => integration request
2014-05-06 09:18 kgv Status resolved => reviewed
2014-05-06 09:18 kgv OS Windows =>
2014-05-06 09:18 kgv OS Version 7 =>
2014-05-06 09:18 kgv Platform x64 =>
2014-05-07 10:47 mkv Assigned To bugmaster => mkv
2014-05-08 12:36 mkv Test case number => Not needed
2014-05-08 12:36 mkv Assigned To mkv => bugmaster
2014-05-08 12:36 mkv Status reviewed => tested
2014-05-12 17:02 bugmaster Note Added: 0029284
2014-05-12 17:02 bugmaster Status tested => verified
2014-05-12 17:02 bugmaster Resolution open => fixed
2014-05-12 17:02 bugmaster Assigned To bugmaster => dln
2014-05-21 12:23 abv Assigned To dln => bugmaster
2014-05-21 12:23 abv Note Added: 0029430
2014-05-21 12:23 abv Status verified => feedback
2014-05-21 12:23 abv Resolution fixed => reopened
2014-05-21 12:32 bugmaster Status feedback => tested
2014-05-23 14:25 apn Changeset attached => occt master 6268cc68
2014-05-23 14:25 apn Assigned To bugmaster => apn
2014-05-23 14:25 apn Status tested => verified
2014-05-27 13:10 kgv Assigned To apn => bugmaster
2014-05-27 13:10 kgv Note Added: 0029541
2014-05-27 13:10 kgv Status verified => feedback
2014-06-02 14:17 bugmaster Status feedback => tested
2014-06-02 14:18 bugmaster Status tested => verified
2014-06-02 14:18 bugmaster Resolution reopened => fixed
2014-06-02 14:18 bugmaster Assigned To bugmaster => kgv
2014-06-05 18:44 abv Relationship added related to 0024661
2014-11-11 12:46 aiv Fixed in Version => 6.8.0
2014-11-11 12:52 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker